.product-list {
  opacity: 1;
  $parent: &;
  padding: 0;

  position: relative;

  &--first {
    padding-top: map-get($mobile, space-lg);

    @include breakpoint($large) {
      padding-top: map-get($desktop, space-lg);
    }
  }

  &--last {
    padding-bottom: calc(
      #{map-get($mobile, space-lg)} - #{map-get($mobile, space-md)}
    );

    @include breakpoint($large) {
      padding-bottom: calc(
        #{map-get($desktop, space-lg)} - #{map-get($desktop, space-md)}
      );
    }
  }

  &__main {
    display: flex;
    flex-flow: wrap;
    justify-content: space-between;
    position: relative;

    > * {
      flex: 0 0 100%;
      margin-bottom: map-get($mobile, space-sm);
      display: inline-block;
      display: flex;

      @include breakpoint($large) {
        margin-bottom: map-get($desktop, space-sm);
      }
    }

    @include breakpoint($medium) {
      #{$parent}--2up & {
        > * {
          flex: 0 0 49%;
        }
      }

      #{$parent}--3up & {
        > * {
          flex: 0 0 32%;
        }
      }
    }
  }

  .cta {
    max-width: 320px;
  }
}
